Retrieve an official workflow template
curl --request GET \
--url https://api.browseract.com/v2/workflow/get-official-workflow-template \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.browseract.com/v2/workflow/get-official-workflow-template"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.browseract.com/v2/workflow/get-official-workflow-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recommendDesc": "<string>",
"detailUrl": "<string>",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"create_at": "2023-11-07T05:31:56Z",
"publish_at": "2023-11-07T05:31:56Z",
"input_parameters": [
{
"name": "keyword",
"default_enabled": true
}
]
}{
"code": 123,
"msg": "Invalid task_id",
"data": {},
"ts": 1699335116000,
"time": "2023-11-07T05:31:56Z",
"traceId": "b4bb01c1b2b14f11a6a2d7c1c8b0e3a1"
}{
"code": 123,
"msg": "Invalid task_id",
"data": {},
"ts": 1699335116000,
"time": "2023-11-07T05:31:56Z",
"traceId": "b4bb01c1b2b14f11a6a2d7c1c8b0e3a1"
}Workflow Templates
Retrieve an official workflow template
Fetches the configuration for an official workflow template, including input parameter definitions.
GET
/
v2
/
workflow
/
get-official-workflow-template
Retrieve an official workflow template
Authorizations
Send your API key in the Authorization header as Bearer <API_KEY>.
Query Parameters
Workflow template ID.
Response
OK
Official workflow template configuration.
Short recommended use case description
Public detail URL for the template
Workflow Template ID
Template name
Template description
Template creation time
Template publish time
Input parameters required to run this template.
Show child attributes
Show child attributes
Was this page helpful?

